Qt Reference Documentation

- Qt 4.8
- ALL VERSIONS

- A
- A
- A
- Print

# Qt 3 Support Members for QPrintDialog

The following class members are part of the Qt 3 support layer. They are provided to help you port old code to Qt 4. We advise against using them in new code.

- QPrintDialog class reference

## Public Functions

void | addButton ( QPushButton * button )
QPrinter * | printer () const
void | setPrinter ( QPrinter * printer, bool pickupSettings = false )

- 60 public functions inherited from QWidget
- 8 public functions inherited from QObject
- 8 public functions inherited from QPaintDevice

## Member Function Documentation

### void QPrintDialog::addButton ( QPushButton * button )

Adds the button to the layout of the print dialog. The added buttons are arranged from the left to the right below the last groupbox of the printdialog.

This function is available for Unix platforms only.

### QPrinter * QPrintDialog::printer () const

Returns a pointer to the printer this dialog configures, or 0 if this dialog does not operate on any printer.

This function is available for Unix platforms only.

### void QPrintDialog::setPrinter ( QPrinter * printer, bool pickupSettings = false )

Sets this dialog to configure printer printer, or no printer if printer is null. If pickupSettings is true, the dialog reads most of its settings from printer. If pickupSettings is false (the default) the dialog keeps its old settings.

This function is available for Unix platforms only.

See also printer().